Bug 229022 - security/apache-xml-security-c: Fails to build with OpenSSL 1.1
Summary: security/apache-xml-security-c: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 19:58 UTC by Bernard Spil
Modified: 2019-01-01 03:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (girgen)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 19:58:39 UTC
../xsec/enc/OpenSSL/OpenSSLCryptoHashHMAC.hpp:178:13: error: field has incomplete type 'HMAC_CTX' (aka 'hmac_ctx_st')

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/apache-xml-security-c-1.7.3_1.log
Comment 1 commit-hook freebsd_committer 2018-12-13 06:01:55 UTC
A commit references this bug:

Author: tobik
Date: Thu Dec 13 06:01:13 UTC 2018
New revision: 487344
URL: https://svnweb.freebsd.org/changeset/ports/487344

Log:
  security/apache-xml-security-c builds fine with OpenSSL 1.1.1

  http://beefy11.nyi.freebsd.org/data/head-i386-default/p485718_s340864/logs/apache-xml-security-c-2.0.2.log

  PR:		229022

Changes:
  head/security/apache-xml-security-c/Makefile